Open CASCADE Technology: MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion Class Reference

`#include <MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion.hxx>`

Inheritance diagram for MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion:
[legend]

## Public Member Functions
| MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion ()
| MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion (const MAT2d_DataMapOfIntegerConnexion &aMap)
void | Initialize (const MAT2d_DataMapOfIntegerConnexion &aMap)
const Standard_Integer & | Key () const
const Handle< MAT2d_Connexion > & | Value () const
Public Member Functions inherited from TCollection_BasicMapIterator
void | Reset ()
| Resets the iterator to the first node. More...
Standard_Boolean | More () const
| Returns true if there is a current entry for this iterator in the map. Use the function Next to set this iterator to the position of the next entry, if it exists. More...
void | Next ()
| Sets this iterator to the position of the next entry of the map. Nothing is changed if there is no more entry to explore in the map: this iterator is always positioned on the last entry of the map but the function More returns false. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMapIterator
| TCollection_BasicMapIterator ()
| Creates an empty iterator. More...
| TCollection_BasicMapIterator (const TCollection_BasicMap &M)
| Initialize on the first node in the buckets. More...
void | Initialize (const TCollection_BasicMap &M)
| Initialize on the first node in the buckets. More...
Protected Attributes inherited from TCollection_BasicMapIterator
Standard_Address | myNode

## Constructor & Destructor Documentation

MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion::MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion | ( |  | ) |

MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion::MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion | ( | const MAT2d_DataMapOfIntegerConnexion & | aMap | ) |

## Member Function Documentation

void MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion::Initialize | ( | const MAT2d_DataMapOfIntegerConnexion & | aMap | ) |

const Standard_Integer& MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion::Key | ( |  | ) | const

const Handle< MAT2d_Connexion >& MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- MAT2d_DataMapIteratorOfDataMapOfIntegerConnexion.hxx